import type * as vscode from "vscode";
import type { IMessagePassingProtocol } from "@codingame/monaco-vscode-bd6ad8b7-9db3-51a8-9895-0046508c029d-common/vscode/vs/base/parts/ipc/common/ipc";
import { LocalProcessRunningLocation } from "@codingame/monaco-vscode-d7f659f5-da33-5ea8-a3b8-9b94f2cf5f33-common/vscode/vs/workbench/services/extensions/common/extensionRunningLocation";
import { ExtensionHostExtensions, ExtensionHostStartup, type IExtensionHost } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/extensions/common/extensions";
import type { IWebWorkerExtensionHostDataProvider } from "@codingame/monaco-vscode-extensions-service-override/vscode/vs/workbench/services/extensions/browser/webWorkerExtensionHost";
import { ITelemetryService } from "@codingame/monaco-vscode-api/vscode/vs/platform/telemetry/common/telemetry.service";
import { IWorkspaceContextService } from "@codingame/monaco-vscode-api/vscode/vs/platform/workspace/common/workspace.service";
import { ILabelService } from "@codingame/monaco-vscode-api/vscode/vs/platform/label/common/label.service";
import { ILogService, ILoggerService } from "@codingame/monaco-vscode-api/vscode/vs/platform/log/common/log.service";
import { IBrowserWorkbenchEnvironmentService } from "@codingame/monaco-vscode-1d9dbcb3-6f53-58ad-b0a4-92b1ef1fd6a8-common/vscode/vs/workbench/services/environment/browser/environmentService.service";
import { IProductService } from "@codingame/monaco-vscode-api/vscode/vs/platform/product/common/productService.service";
import { IUserDataProfilesService } from "@codingame/monaco-vscode-api/vscode/vs/platform/userDataProfile/common/userDataProfile.service";
import { Event } from "@codingame/monaco-vscode-api/vscode/vs/base/common/event";
declare class LocalExtensionHost implements IExtensionHost {
    readonly runningLocation: LocalProcessRunningLocation;
    readonly startup: ExtensionHostStartup;
    private readonly _initDataProvider;
    private readonly _telemetryService;
    private readonly _contextService;
    private readonly _labelService;
    private readonly _logService;
    private readonly _loggerService;
    private readonly _environmentService;
    private readonly _productService;
    private readonly _userDataProfilesService;
    readonly remoteAuthority: null;
    extensions: ExtensionHostExtensions | null;
    private readonly _extensionHostLogsLocation;
    private _protocolPromise;
    pid: null;
    constructor(runningLocation: LocalProcessRunningLocation, startup: ExtensionHostStartup, _initDataProvider: IWebWorkerExtensionHostDataProvider, _telemetryService: ITelemetryService, _contextService: IWorkspaceContextService, _labelService: ILabelService, _logService: ILogService, _loggerService: ILoggerService, _environmentService: IBrowserWorkbenchEnvironmentService, _productService: IProductService, _userDataProfilesService: IUserDataProfilesService);
    onExit: Event<any>;
    start(): Promise<IMessagePassingProtocol>;
    _start(): Promise<IMessagePassingProtocol>;
    private _createExtHostInitData;
    getInspectPort(): {
        port: number;
        host: string;
    } | undefined;
    enableInspectPort(): Promise<boolean>;
    dispose(): void;
}
export type { LocalExtensionHost };
export declare let defaultApi: typeof vscode | undefined;
